package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

@ApiModel("原材料详情")
public class MenuMaterialPageVO {
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("原料名称")
   private String materialName;
   @ApiModelProperty("原料编码")
   private String materialCode;
   @ApiModelProperty("食材营养id")
   private Long nutritionId;
   @ApiModelProperty("原料类别id")
   private Long categoryId;
   @ApiModelProperty("原料类别")
   private String categoryName;
   @ApiModelProperty("营养信息名称")
   private String nutritionName;
   @ApiModelProperty("原料图片")
   private String imageUrl;
   @ApiModelProperty("食材大类")
   private String bigType;
   @ApiModelProperty("食材小类")
   private String littleType;
   @ApiModelProperty("原料类型(1原料2商品)")
   private Integer materialType;
   @ApiModelProperty("条码")
   private String barCode;
   @ApiModelProperty("单位")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("单价")
   private Integer salePrice;
   @ApiModelProperty("进价")
   private Integer unitPrice;
   @ApiModelProperty("售卖类型(1按份2称重)")
   private Integer salesMode;
   @ApiModelProperty("最近进价")
   private Integer leastIntoPrice;
   @ApiModelProperty("最近入库时间")
   private LocalDateTime leastIntoDate;
   @ApiModelProperty("月度均价")
   private Integer monthAvgPrice;
   @ApiModelProperty("可食部分(g/100g)")
   private Double edible;
   @ApiModelProperty("热量(千卡/100g)")
   private Double calories;
   @ApiModelProperty("蛋白质(g/100g)")
   private Double protein;
   @ApiModelProperty("脂肪(g/100g)")
   private Double fat;
   @ApiModelProperty("碳水化合物(g/100g)")
   private Double carbohydrate;
   @ApiModelProperty("灰分(g/100g)")
   private Double ash;
   @ApiModelProperty("膳食纤维(g/100g)")
   private Double dietaryFiber;
   @ApiModelProperty("胆固醇(mg/100g)")
   private Double cholesterol;
   @ApiModelProperty("维生素a(g/100g)")
   private Double vitaminA;
   @ApiModelProperty("维生素c(g/100g)")
   private Double vitaminC;
   @ApiModelProperty("维生素d(g/100g)")
   private Double vitaminD;
   @ApiModelProperty("维生素e(g/100g)")
   private Double vitaminE;
   @ApiModelProperty("硫胺素(mg/100g)")
   private Double thiamine;
   @ApiModelProperty("核黄素(mg/100g)")
   private Double riboflavin;
   @ApiModelProperty("叶酸(mg/100g)")
   private Double folic;
   @ApiModelProperty("尼克酸(mg/100g)")
   private Double niacin;
   @ApiModelProperty("胡萝卜素(μg/100g)")
   private Double carotene;
   @ApiModelProperty("钙(mg/100g)")
   private Double calcium;
   @ApiModelProperty("磷(mg/100g)")
   private Double phosphorus;
   @ApiModelProperty("钾(mg/100g)")
   private Double kalium;
   @ApiModelProperty("钠(mg/100g)")
   private Double sodium;
   @ApiModelProperty("镁(mg/100g)")
   private Double magnesium;
   @ApiModelProperty("铁(mg/100g)")
   private Double iron;
   @ApiModelProperty("锌(mg/100g)")
   private Double zinc;
   @ApiModelProperty("铜(mg/100g)")
   private Double cuprum;
   @ApiModelProperty("锰(mg/100g)")
   private Double manganese;
   @ApiModelProperty("硒(μg/100g)")
   private Double selenium;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("保质期类型 1年 2月 3日")
   private Integer shelfLifeType;
   @ApiModelProperty("保质期数")
   private Integer shelfLifeDays;
   @ApiModelProperty("简介")
   private String synopsis;
   @ApiModelProperty("资格证书Id")
   private Long certId;
   @ApiModelProperty("资格证书名称")
   private String certName;
   @ApiModelProperty("食安配置")
   private MenuMaterialFoodSafeConfigPageVO safeConfigDTO;
   @ApiModelProperty("初加工方法")
   private List<String> firstProcessList;
   @ApiModelProperty("切配方法")
   private List<String> cutProcessList;
   @ApiModelProperty("采购价格上限")
   private Integer purPriceCeiling;
   @ApiModelProperty("区域ID")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("税率")
   private Integer taxRate;
   @ApiModelProperty("基础单位转换g")
   private Integer convertGrams;
   @ApiModelProperty("禁用状态 1启用 2禁用")
   private Integer disableStatus;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public Long getNutritionId() {
      return this.nutritionId;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public String getNutritionName() {
      return this.nutritionName;
   }

   public String getBigType() {
      return this.bigType;
   }

   public String getLittleType() {
      return this.littleType;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Integer getLeastIntoPrice() {
      return this.leastIntoPrice;
   }

   public LocalDateTime getLeastIntoDate() {
      return this.leastIntoDate;
   }

   public Integer getMonthAvgPrice() {
      return this.monthAvgPrice;
   }

   public Double getEdible() {
      return this.edible;
   }

   public Double getCalories() {
      return this.calories;
   }

   public Double getProtein() {
      return this.protein;
   }

   public Double getFat() {
      return this.fat;
   }

   public Double getCarbohydrate() {
      return this.carbohydrate;
   }

   public Double getAsh() {
      return this.ash;
   }

   public Double getDietaryFiber() {
      return this.dietaryFiber;
   }

   public Double getCholesterol() {
      return this.cholesterol;
   }

   public Double getVitaminA() {
      return this.vitaminA;
   }

   public Double getVitaminC() {
      return this.vitaminC;
   }

   public Double getVitaminD() {
      return this.vitaminD;
   }

   public Double getVitaminE() {
      return this.vitaminE;
   }

   public Double getThiamine() {
      return this.thiamine;
   }

   public Double getRiboflavin() {
      return this.riboflavin;
   }

   public Double getFolic() {
      return this.folic;
   }

   public Double getNiacin() {
      return this.niacin;
   }

   public Double getCarotene() {
      return this.carotene;
   }

   public Double getCalcium() {
      return this.calcium;
   }

   public Double getPhosphorus() {
      return this.phosphorus;
   }

   public Double getKalium() {
      return this.kalium;
   }

   public Double getSodium() {
      return this.sodium;
   }

   public Double getMagnesium() {
      return this.magnesium;
   }

   public Double getIron() {
      return this.iron;
   }

   public Double getZinc() {
      return this.zinc;
   }

   public Double getCuprum() {
      return this.cuprum;
   }

   public Double getManganese() {
      return this.manganese;
   }

   public Double getSelenium() {
      return this.selenium;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Integer getShelfLifeType() {
      return this.shelfLifeType;
   }

   public Integer getShelfLifeDays() {
      return this.shelfLifeDays;
   }

   public String getSynopsis() {
      return this.synopsis;
   }

   public Long getCertId() {
      return this.certId;
   }

   public String getCertName() {
      return this.certName;
   }

   public MenuMaterialFoodSafeConfigPageVO getSafeConfigDTO() {
      return this.safeConfigDTO;
   }

   public List<String> getFirstProcessList() {
      return this.firstProcessList;
   }

   public List<String> getCutProcessList() {
      return this.cutProcessList;
   }

   public Integer getPurPriceCeiling() {
      return this.purPriceCeiling;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public String getSize() {
      return this.size;
   }

   public Integer getTaxRate() {
      return this.taxRate;
   }

   public Integer getConvertGrams() {
      return this.convertGrams;
   }

   public Integer getDisableStatus() {
      return this.disableStatus;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setNutritionId(final Long nutritionId) {
      this.nutritionId = nutritionId;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setNutritionName(final String nutritionName) {
      this.nutritionName = nutritionName;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setBigType(final String bigType) {
      this.bigType = bigType;
   }

   public void setLittleType(final String littleType) {
      this.littleType = littleType;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setLeastIntoPrice(final Integer leastIntoPrice) {
      this.leastIntoPrice = leastIntoPrice;
   }

   public void setLeastIntoDate(final LocalDateTime leastIntoDate) {
      this.leastIntoDate = leastIntoDate;
   }

   public void setMonthAvgPrice(final Integer monthAvgPrice) {
      this.monthAvgPrice = monthAvgPrice;
   }

   public void setEdible(final Double edible) {
      this.edible = edible;
   }

   public void setCalories(final Double calories) {
      this.calories = calories;
   }

   public void setProtein(final Double protein) {
      this.protein = protein;
   }

   public void setFat(final Double fat) {
      this.fat = fat;
   }

   public void setCarbohydrate(final Double carbohydrate) {
      this.carbohydrate = carbohydrate;
   }

   public void setAsh(final Double ash) {
      this.ash = ash;
   }

   public void setDietaryFiber(final Double dietaryFiber) {
      this.dietaryFiber = dietaryFiber;
   }

   public void setCholesterol(final Double cholesterol) {
      this.cholesterol = cholesterol;
   }

   public void setVitaminA(final Double vitaminA) {
      this.vitaminA = vitaminA;
   }

   public void setVitaminC(final Double vitaminC) {
      this.vitaminC = vitaminC;
   }

   public void setVitaminD(final Double vitaminD) {
      this.vitaminD = vitaminD;
   }

   public void setVitaminE(final Double vitaminE) {
      this.vitaminE = vitaminE;
   }

   public void setThiamine(final Double thiamine) {
      this.thiamine = thiamine;
   }

   public void setRiboflavin(final Double riboflavin) {
      this.riboflavin = riboflavin;
   }

   public void setFolic(final Double folic) {
      this.folic = folic;
   }

   public void setNiacin(final Double niacin) {
      this.niacin = niacin;
   }

   public void setCarotene(final Double carotene) {
      this.carotene = carotene;
   }

   public void setCalcium(final Double calcium) {
      this.calcium = calcium;
   }

   public void setPhosphorus(final Double phosphorus) {
      this.phosphorus = phosphorus;
   }

   public void setKalium(final Double kalium) {
      this.kalium = kalium;
   }

   public void setSodium(final Double sodium) {
      this.sodium = sodium;
   }

   public void setMagnesium(final Double magnesium) {
      this.magnesium = magnesium;
   }

   public void setIron(final Double iron) {
      this.iron = iron;
   }

   public void setZinc(final Double zinc) {
      this.zinc = zinc;
   }

   public void setCuprum(final Double cuprum) {
      this.cuprum = cuprum;
   }

   public void setManganese(final Double manganese) {
      this.manganese = manganese;
   }

   public void setSelenium(final Double selenium) {
      this.selenium = selenium;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setShelfLifeType(final Integer shelfLifeType) {
      this.shelfLifeType = shelfLifeType;
   }

   public void setShelfLifeDays(final Integer shelfLifeDays) {
      this.shelfLifeDays = shelfLifeDays;
   }

   public void setSynopsis(final String synopsis) {
      this.synopsis = synopsis;
   }

   public void setCertId(final Long certId) {
      this.certId = certId;
   }

   public void setCertName(final String certName) {
      this.certName = certName;
   }

   public void setSafeConfigDTO(final MenuMaterialFoodSafeConfigPageVO safeConfigDTO) {
      this.safeConfigDTO = safeConfigDTO;
   }

   public void setFirstProcessList(final List<String> firstProcessList) {
      this.firstProcessList = firstProcessList;
   }

   public void setCutProcessList(final List<String> cutProcessList) {
      this.cutProcessList = cutProcessList;
   }

   public void setPurPriceCeiling(final Integer purPriceCeiling) {
      this.purPriceCeiling = purPriceCeiling;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setTaxRate(final Integer taxRate) {
      this.taxRate = taxRate;
   }

   public void setConvertGrams(final Integer convertGrams) {
      this.convertGrams = convertGrams;
   }

   public void setDisableStatus(final Integer disableStatus) {
      this.disableStatus = disableStatus;
   }

}
